Skip to main content
GET
Movie_id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

region
string

This is the geographical area or country that can be used to filter results based on regional availability.

Example:

""

include_adult
enum<string>

This indicate whether the movie is an adult content.

Available options:
true,
false
Example:

false

language
string

Specifies the language in which the response should be returned.

Example:

"en-US"

primary_release_year
string

This refers to the year when the film was primarily released in theaters.

page
integer

Indicates which page of results to return. Default is the first page (1).

Example:

1

year
string

This generally refers to the broader or official year associated with the film.

Response

200 - application/json

movie_id

page
number

The current page number being viewed in the results.

Example:

1

results
object[]

This represents a collection of movie objects returned by the API that provides information about various films.

Example:
total_pages
number

The total number of pages available in the response data.

Example:

3

total_results
number

The total number of movie results returned from the query.

Example:

56